Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.primitive
Interface Bearing

    @UML(identifier="Bearing",
         specification=ISO_19107)
    public interface Bearing

Represents direction in the coordinate reference system. In a 2D coordinate reference system, this can be accomplished using a "angle measured from true north" or a 2D vector point in that direction. In a 3D coordinate reference system, two angles or any 3D vector is possible. If both a set of angles and a vector are given, then they shall be consistent with one another.

Since:
  GeoAPI 1.0
Version:
  ISO 19107

Method Summary
`double[]` | `getAngles()` Returns the azimuth and (optionnaly) the altitude.
`double[]` | `getDirection()` Returns the direction as a vector.

Method Detail

### getAngles

    @UML(identifier="angle",
         obligation=MANDATORY,
         specification=ISO_19107)
    double[] getAngles()

  Returns the azimuth and (optionnaly) the altitude. In this variant of bearing usually used for 2D coordinate systems, the first angle (azimuth) is measured from the first coordinate axis (usually north) in a counterclockwise fashion parallel to the reference surface tangent plane. If two angles are given, the second angle (altitude) usually represents the angle above (for positive angles) or below (for negative angles) a local plane parallel to the tangent plane of the reference surface.

  Returns:
    An array of length 0, 1 or 2 containing the azimuth and altitude angles.
  TODO:
    Should we split this method in `getAzimuth()` and `getAltitude()` methods instead? Should we provides a `getDimension()` method too?

### getDirection

    @UML(identifier="direction",
         obligation=MANDATORY,
         specification=ISO_19107)
    double[] getDirection()

  Returns the direction as a vector. In this variant of bearing usually used for 3D coordinate systems, the direction is express as an arbitrary vector, in the coordinate system.

  Returns:
    The direction.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.